[Overview][Types][Classes][Index] | Reference for unit 'machowriter' (#fcl-res)

# TMachoSubMachineType

## Declaration

Source position: machowriter.pp line 34

`type TMachoSubMachineType = record`
`case TMachOMachineType of`
`msmppc_all: (`
`fPpcSubType: TMachOSubMachineTypePowerPC;`
`);`
`msmppc64_all: (`
`fPpc64SubType: TMachOSubMachineTypePowerPC64;`
`);`
`msm386_all: (`
`f386SubType: TMachOSubMachineType386;`
`);`
`msmx64_all: (`
`fX64SubType: TMachOSubMachineTypex64;`
`);`
`mmtarm: (`
`fArmSubType: TMachOSubMachineTypeArm;`
`);`
`mmtarm64: (`
`fArm64SubType: TMachOSubMachineTypeAarch64;`
`);`
`end;`